// User the_droid    http://letsmakerobots.com/user/19552
// Remote transmitting over RF Link to Serial Monitor, if the room is too cold or too warm
// Tested with VirtualWire 1.10 and Arduino IDE 020 and 4800 Bits per sec
// simplex (one-way) receiver with a 434MHz RF Link Receiver module

#include <VirtualWire.h> // you must download and install the VirtualWire.h to your hardware/libraries folder
#undef int
#undef abs
#undef double
#undef float
#undef round

void setup()
{
    Serial.begin(9600);    

    // Initialise the IO and ISR
    vw_set_ptt_inverted(true);    // Required for RX Link Module
    vw_setup(4800);                   // 4800 Bits per sec
    vw_set_rx_pin(23);           // We will be receiving on pin 23.
    vw_rx_start();                      // Start the receiver 
}

void loop()
{
    uint8_t buf[VW_MAX_MESSAGE_LEN];
    uint8_t buflen = VW_MAX_MESSAGE_LEN;

    if (vw_get_message(buf, &buflen)) // check to see if anything has been received
    {
    int i;
                                   
    for (i = 0; i < buflen; i++)      // Message with a good checksum received.
    {
        Serial.print(buf[i]);  // the received data is stored in buffer
        }
    Serial.println("");
     }
}


